# NeRF Tutorial

This example code is largely inspried from the Jupyter Notebook given by 
[the pytorch repository](https://github.com/facebookresearch/pytorch3d/blob/master/docs/tutorials/fit_simple_neural_radiance_field.ipynb).

It has been adapted to be ran inside a python sheel and not a jupyer notebook.
It is GPU only, there is support for CPU.

It cannot run my lab computer: NVIDIA GeForce RTX 2060 (6GiB of VRAM)
and thus need to be run on the cluster which has more VRAM.

## Installation

Please refer to the original Pytorch3D project, here is a quick summary:

```
conda create -n pytorhc3d python=3.8
conda activate pytorch3d
conda install -c pytorch pytorch=1.7.1 torchvision cudatoolkit=10.2
conda install -c conda-forge -c fvcore -c iopath fvcore iopath
conda install -c bottle nvidiacub
conda intall numpy matplotlib plotly
```

You can then clone this repo and run the code
```
git clone https://gitea.auro.re/otthorn/nerf_tutorial.git
cd nerf_tutorial
python3 main.py
```

To deactivate the conda env
```
conda deactivate
```
